### Method

# Gtk TreeStoreswap

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_store_swap (
      GtkTreeStore* tree_store,
      GtkTreeIter* a,
      GtkTreeIter* b
    )

#### Description [src]

Swaps `a` and `b` in the same level of `tree_store`.

Note that this function only works with unsorted stores.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`a`

  Type: `GtkTreeIter`

  A `GtkTreeIter`.

  The data is owned by the caller of the method.

`b`

  Type: `GtkTreeIter`

  Another `GtkTreeIter`.

  The data is owned by the caller of the method.